Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05362 DIP/Input Minor Sometimes Nov 11, 2013, 01:44 22 days ago
Tester jonuk76 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Unable to reproduce OS Windows Vista/7/8 (64-bit)
Status [?] Closed Driver system1.cpp
Version 0.151 Fixed in Version Build 64-bit
Summary 05362: shtngmste: Strange random crosshair movement when triple buffering enabled
Description With triple buffering enabled (and no other advanced options), after a short while playing with mouse input, the crosshair seems to start moving about randomly and the game becomes unplayable. I was unsure about reporting this as it can be worked around, but it confused me and seemed odd...
Steps To Reproduce Start game and play for several minutes. After a while the mouse pointer/crosshair moves about in a random way and the game becomes unplayable. Pausing/unpausing the game in MAME seems to fix it for a short while, but it returns within a minute or two.
Additional Information With JUST triple buffering enabled the problem occurs. If triple buffering is turned off, there is no problem (apart from a fair bit of screen tearing). If waitvsync and syncrefresh are turned on with triple buffering, it seems to works fine.
Something similar was reported by another tester http://mametesters.org/view.php?id=5028 but he put it down to his mouse. I am 100% certain the mouse I am using is fine :)
Flags
Regression Version
Affected Sets / Systems shtngmste
Attached Files
zip file icon shtngmste-inp-files.zip (460,400 bytes) Nov 13, 2013, 23:18 Uploaded by jonuk76
"Inp" files and save state.
Relationships
There are no relationship linked to this issue.
Notes
11
User avatar
No.09972
Tafoid
Administrator
Nov 12, 2013, 02:05
edited on: Nov 12, 2013, 02:06
I tried 4 games of various degrees.. one game going 6 stages with a -mouse control and I experienced no discernible random shooting or any other targeting oddness. Mouse used is a Microsoft Intellimouse Explorer (wired USB - no ball). Windows 7, 64-bit, MAME 0.151 from mamedev.org
User avatar
No.09973
jonuk76
Tester
Nov 12, 2013, 03:57
I'm also using Windows 7, 64 bit, and the official x64 binary 0.151 (but the effect is also reproducible for me in 0.150 and 0.149 MAMEUI64 builds which I still have installed). I really don't think it's the mouse (using a Logitech MX Anywhere laser mouse) and I haven't noticed the problem in other shooting games like opwolf. For sake of completeness I also tried on SDLMAME in Linux, and that doesn't show the behaviour (however it does not support the -triplebuffer option as far as I can see). Any suggestions? Would a save state or something like that help?
User avatar
No.09974
NekoEd
Senior Tester
Nov 12, 2013, 15:54
Acknowledging this while it's investigated further.
User avatar
No.09975
B2K24
Moderator
Nov 12, 2013, 18:05
Are you using a wireless mouse?

I had the same kind of issue as mentioned in report 05028, but replacing my wireless mouse with a corded one totally fixed the issue.

I've been playing this game the last 45 minutes and the crosshair position has been perfect here on my end. I can't reproduce this behavior currently.
User avatar
No.09983
jonuk76
Tester
Nov 13, 2013, 23:19
I've attached a couple of "inp" files which demonstrate what is happening. The file "shtngmste" is running with the triplebuffer option and shows the problem (pointer moving around randomly, mostly around the edge of the screen). The second file "shtngmste-notb" is a recording with triple buffering disabled and it's perfectly playable, and hopefully shows I'm not just a complete spanner who can't play the game!! I also included a save state file, not sure if it will show anything meaningful.

@B2K24 yes the Logitech MX laser mouse I'm using is wireless. I have today tried a different, wired USB optical mouse (also Logitech) but there is no change.

Also another thing worth noting is when the problem occurs, key presses take a long time to register (up to about 10 seconds) including escape to exit the game, inserting a coin or whatever.
User avatar
No.09987
Haze
Senior Tester
Nov 15, 2013, 01:44
this sounds like some hardware / drivers on your PC is messing with the inputs (the fact your keyboard lags as well..) somehow the use of triplebuffering in MAME is triggering this issue.

I doubt it's actually a MAME problem tho..
User avatar
No.09988
NekoEd
Senior Tester
Nov 16, 2013, 00:15
Triplebuffering may be slowing things down and causing the keyboard lag and twitchy cursor. If nobody else can reproduce this, I'll close it as invalid.
User avatar
No.09991
haynor666
Tester
Nov 16, 2013, 13:28
Long time ago I have the same problem, disabling triple buffers helps but setting frameskip to auto also might help. Right now with Microsoft mouse (USB) everthing is fine.
User avatar
No.09999
jonuk76
Tester
Nov 18, 2013, 01:22
Thanks for all suggestions. It does feel like some sort of timing issue is the cause - it seems like a lag that apparently builds up over time. It's not a particularly slow PC (1st gen Core i5 @ 3ghz & Radeon HD5770). But I get notable screen tearing on this game, and with the FPS counter enabled it consistently shows "partial updates" every few seconds. Using the -refreshspeed option in combination with triple buffering seems to work OK, as does just running it on default settings.

I have updated all my drivers now as per Haze's comment, but that hasn't changed the behaviour. If it can't be reproduced by anyone else then I guess it might just be something particular to my setup.
User avatar
No.16173
MetalGod
Senior Tester
23 days ago
I can't reproduce this one too.
Should we close it then?
User avatar
No.16178
Robbbert
Developer
22 days ago
Yeah let's close it.

If it does turn out to be a real problem it can always be reopened.